/*
 * Copyright (C) Sergey Kolesov 2012-2014 <kolesov@ocean.phys.msu.ru>
 * See ffaultfdisp.cpp for licensing details
 */

#ifndef _SOLVER_H_
#define _SOLVER_H_

#include <vector>
#include "okada.h"

using namespace std;
//===============================
void ParseFiniteFault(istream& Is);
void CreateFault(string &Str);

void SetRes2Cout(bool O_RLY);
void SetGridBounds(char* Str);
void SetGridInterval(char* Str);
void SetFaultPosition(char* Str);
void SetCR(char* Str);

void MakeGrid(void);
void SaveGrid(ostream& Os);
void ParseSet(istream& Is);
void CalcSet(void);
void SaveSet(ostream& Os);

#endif