#!/bin/tcsh -f
#

if ( $# != 4 ) then
   echo "Usage: generate_grid.tcsh lon1 lon2 lat1 lat2"
   echo "   Make sure that all longitudes are east positive, west negative"
   exit 1
endif

#  Take limits of grid from command line parameters

set long1 = $1
set long2 = $2
set lat1  = $3
set lat2  = $4

#  Loop to make file

set long = $long1
while ( $long <= $long2 )

   set lat = $lat1
   while ( $lat <= $lat2 )
      echo "${long}.00 ${lat}.00  ${long}.00,${lat}.00"
#         comment out the next three lines for a 1x1 degree grid
      echo "${long}.00 ${lat}.50  ${long}.00,${lat}.50"
      echo "${long}.50 ${lat}.00  ${long}.50,${lat}.00"
      echo "${long}.50 ${lat}.50  ${long}.50,${lat}.50"
      @ lat = $lat + 1

   end

   @ long = $long + 1

end

